Skip to main content
POST
/
stores
/
{storeId}
/
orders
/
{orderId}
/
fulfillments
/
{fulfillmentId}
/
shipment-status
Update Fulfillment Status
curl --request POST \
  --url https://api.getredo.com/v2.2/stores/{storeId}/orders/{orderId}/fulfillments/{fulfillmentId}/shipment-status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "pre_transit",
  "estimatedDeliveryDate": "2023-11-07T05:31:56Z",
  "message": "<string>",
  "datetime": "2023-11-07T05:31:56Z",
  "location": {
    "city": "<string>",
    "state": "<string>",
    "country": "<string>",
    "postalCode": "<string>"
  }
}
'
{
  "success": true,
  "fulfillment": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "lineItems": [
      {
        "id": "<string>",
        "quantity": 500,
        "title": "<string>",
        "productId": "<string>",
        "variantId": "<string>",
        "sku": "<string>"
      }
    ],
    "status": "pre_transit",
    "trackingHistory": [
      {
        "message": "<string>",
        "status": "<string>",
        "datetime": "2023-11-07T05:31:56Z",
        "location": {
          "city": "<string>",
          "state": "<string>",
          "country": "<string>",
          "postalCode": "<string>"
        }
      }
    ],
    "trackingCompany": "<string>",
    "trackingNumber": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

storeId
string
required

Store ID

Example:

"64e5a8a1af49a89df37e4ee7"

orderId
string
required

Order ID. Can be either the external order ID provided when creating the order, or the internal Redo order ID.

fulfillmentId
string
required

Unique fulfillment identifier.

Body

application/json

Request body for updating a fulfillment's tracking status.

The status field accepts two types of values:

  • Statuses (e.g., in_transit, delivered): Update the shipment's current status and trigger configured automations.
  • Events (e.g., stalled_in_transit, delayed, arriving_early): Trigger automations without changing the current shipment status.

Both can update other fields like estimated delivery date and tracking history.

status
enum<string>
required

Shipment status or automation event.

Statuses update the current shipment status and trigger automations: pre_transit, in_transit, out_for_delivery, available_for_pickup, delivered, return_to_sender, failure, cancelled, error.

Events trigger automations without changing the current status: stalled_in_transit, delayed, arriving_early.

Available options:
pre_transit,
in_transit,
out_for_delivery,
available_for_pickup,
delivered,
return_to_sender,
failure,
cancelled,
error,
stalled_in_transit,
delayed,
arriving_early
estimatedDeliveryDate
string<date-time> | null

Estimated delivery date in ISO 8601 format.

message
string | null

Tracking event message (e.g., "Departed shipping partner facility").

datetime
string<date-time> | null

Timestamp of the tracking event in ISO 8601 format.

location
object

Location information for a tracking event.

Response

Success

Successful fulfillment operation response.

success
boolean
required
fulfillment
object
required

Fulfillment information.